# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-peak-util-assembler
%define fedora 19
%if 0%{?fedora} < 13 && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global packagename BytecodeAssembler

Name:           python-module-peak-util-assembler
Version:        0.6
# Post release snapshot
Release:        alt1_6.20100803svn2646
Summary:        Generate Python code objects by "assembling" bytecode

Group:          Development/Python
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/BytecodeAssembler
#Source0:        http://pypi.python.org/packages/source/B/%{packagename}/%{packagename}-%{version}.zip
# Pull a snapshot so we can have GPLv2 compatible licensing
Source0: http://peak.telecommunity.com/snapshots/BytecodeAssembler-0.6-r2646.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
%if 0%{?fedora} && 0%{?fedora} < 13
BuildRequires:  python-module-distribute
%else
BuildRequires: python-module-setuptools
%endif
BuildRequires:       python-module-decoratortools >= 1.2
BuildRequires:       python-module-peak-util-symbols >= 1.0
Source44: import.info


%description
peak.util.assembler is a simple bytecode assembler module that handles most
low-level bytecode generation details like jump offsets, stack size tracking,
line number table generation, constant and variable name index tracking, etc.
That way, you can focus your attention on the desired semantics of your
bytecode instead of on these mechanical issues.

In addition to a low-level opcode-oriented API for directly generating specific
Python bytecodes, this module also offers an extensible mini-AST framework for
generating code from high-level specifications.  This framework does most of
the work needed to transform tree-like structures into linear bytecode
instructions, and includes the ability to do compile-time constant folding.

%prep
%setup -q -n %{packagename}-%{version}-r2646

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
python setup.py test

%files
%doc README.txt
%{python_sitelibdir_noarch}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_6.20100803svn2646
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_5.20100803svn2646
- initial fc import

